%define major 0
%define libname %mklibname thai %major

Summary: Thai language support routines
Name:    libthai
Version: 0.1.7
Release: %mkrel 1
License: LGPL
Group:   System/Libraries
URL:     http://linux.thai.net
Source:  ftp://linux.thai.net/pub/thailinux/software/libthai/%name-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig doxygen datrie-devel
# for trietool:
BuildRequires: trietool

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n %libname
Summary: Thai language support routines
Group:   System/Libraries
Requires: thai-data

%description -n %libname
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n thai-data
Summary: Thai language support data 
Group:   System/Libraries
Requires: thai-data

%description -n thai-data
Data stuff for libthai.

%package -n %libname-devel
Summary:  Thai language support routines
Group:    Development/C
Requires: %{libname} = %{version}
Requires: pkgconfig
Provides: %name-devel = %version
Provides: thai-devel = %version

%description -n %libname-devel
The libthai-devel package includes the header files and developer docs 
for the libthai package.

Install libthai-devel if you want to develop programs which will use
libthai.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# move installed doc files back to build directory to package themm
# in the right place
rm -rf installed-docs
mkdir installed-docs
mv $RPM_BUILD_ROOT%{_docdir}/libthai/* installed-docs
rmdir $RPM_BUILD_ROOT%{_docdir}/libthai

rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files  -n %libname
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%{_libdir}/lib*.so.*

%files  -n %libname-devel
%defattr(-, root, root)
%doc installed-docs/*
%{_includedir}/thai
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*

%files  -n thai-data
%defattr(-, root, root)
%{_datadir}/libthai


%changelog
* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.7-1mdv2007.0
+ Revision: 111945
- require trietool
- fix buildrequire
- Import libthai



* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.7-1mdv2007.1
- initial release
